(function (Drupal) {

  Drupal.behaviors.block_button_modal_block = {
    attach: function (context, settings) {
      var wrappers = [];
      if (context.classList && context.classList.contains('block-button-modal-block-wrapper')) {
        wrappers.push(context);
      }
      else {
        wrappers = context.querySelectorAll('.block-button-modal-block-wrapper');
      }
      wrappers.forEach(function (wrapper) {
        var button = wrapper.querySelector('button'),
          block = wrapper.querySelector('.block');

        button.dialog = Drupal.dialog('#' + block.getAttribute('id'), {
          title: button.getAttribute('data-block-button-modal-title'),
          width: '100%'
        });

        button.addEventListener('click', function (e) {
          e.preventDefault();
          this.dialog.showModal();
        })
      });
    }
  };
})(Drupal);
